Package org.gradle.tooling.provider.model

# Interface ToolingModelBuilderRegistry

@ServiceScope(org.gradle.internal.service.scopes.Scope.Build.class) public interface ToolingModelBuilderRegistry
A registry of tooling model builders. Adding a builder to this registry makes a model (or models) available via the tooling API.

An instance of this type can be injected into a task, plugin or other object by annotating a public constructor or property getter method with `javax.inject.Inject`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ToolingModelBuilder`
  `getBuilder(String modelName)`
  `void`
  `register(ToolingModelBuilder builder)`

- ## Method Details

  - ### register

    void register(ToolingModelBuilder builder)

  - ### getBuilder

    ToolingModelBuilder getBuilder(String modelName) throws UnknownModelException
    Throws:
      `UnknownModelException`